/**
 * @license Angular v5.2.10
 * (c) 2010-2018 Google, Inc. https://angular.io/
 * License: MIT
 */
!function(global,factory){"object"==typeof exports&&"undefined"!=typeof module?factory(exports,require("@angular/core"),require("@angular/platform-browser-dynamic")):"function"==typeof define&&define.amd?define("@angular/upgrade",["exports","@angular/core","@angular/platform-browser-dynamic"],factory):factory((global.ng=global.ng||{},global.ng.upgrade={}),global.ng.core,global.ng.platformBrowserDynamic)}(this,function(exports,_angular_core,_angular_platformBrowserDynamic){"use strict";/**
 * @license
 * Copyright Google Inc. All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://angular.io/license
 */
function noNg(){throw new Error("AngularJS v1.x is not loaded!")}function onError(e){throw console.error?console.error(e,e.stack):console.log(e,e.stack),e}function controllerKey(name){return"$"+name+"Controller"}function directiveNormalize(name){return name.replace(DIRECTIVE_PREFIX_REGEXP,"").replace(DIRECTIVE_SPECIAL_CHARS_REGEXP,function(_,letter){return letter.toUpperCase()})}function getComponentName(component){return component.overriddenName||component.name||component.toString().split("\n")[0]}function isFunction(value){return"function"==typeof value}function supportsNgModel(component){return"function"==typeof component.writeValue&&"function"==typeof component.registerOnChange}function hookupNgModel(ngModel,component){ngModel&&supportsNgModel(component)&&(ngModel.$render=function(){component.writeValue(ngModel.$viewValue)},component.registerOnChange(ngModel.$setViewValue.bind(ngModel)),"function"==typeof component.registerOnTouched&&component.registerOnTouched(ngModel.$setTouched.bind(ngModel)))}function strictEquals(val1,val2){return val1===val2||val1!==val1&&val2!==val2}function groupNodesBySelector(ngContentSelectors,nodes){for(var projectableNodes=[],i=0,ii=ngContentSelectors.length;i<ii;++i)projectableNodes[i]=[];for(var j=0,jj=nodes.length;j<jj;++j){var node=nodes[j],ngContentIndex=findMatchingNgContentIndex(node,ngContentSelectors);null!=ngContentIndex&&projectableNodes[ngContentIndex].push(node)}return projectableNodes}function findMatchingNgContentIndex(element,ngContentSelectors){for(var ngContentIndices=[],wildcardNgContentIndex=-1,i=0;i<ngContentSelectors.length;i++){var selector=ngContentSelectors[i];"*"===selector?wildcardNgContentIndex=i:matchesSelector(element,selector)&&ngContentIndices.push(i)}return ngContentIndices.sort(),-1!==wildcardNgContentIndex&&ngContentIndices.push(wildcardNgContentIndex),ngContentIndices.length?ngContentIndices[0]:null}function matchesSelector(el,selector){if(!_matches){var elProto=Element.prototype;_matches=elProto.matches||elProto.matchesSelector||elProto.mozMatchesSelector||elProto.msMatchesSelector||elProto.oMatchesSelector||elProto.webkitMatchesSelector}return el.nodeType===Node.ELEMENT_NODE&&_matches.call(el,selector)}/**
 * @license
 * Copyright Google Inc. All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://angular.io/license
 */
function downgradeComponent(info){var directiveFactory=function($compile,$injector,$parse){var ngZone,needsNgZone=!1,wrapCallback=function(cb){return cb};return{restrict:"E",terminal:!0,require:[REQUIRE_INJECTOR,REQUIRE_NG_MODEL],link:function(scope,element,attrs,required){var ngModel=required[1],parentInjector=required[0],ranAsync=!1;if(!parentInjector){var lazyModuleRef=$injector.get(LAZY_MODULE_REF);needsNgZone=lazyModuleRef.needsNgZone,parentInjector=lazyModuleRef.injector||lazyModuleRef.promise}var doDowngrade=function(injector){var componentFactoryResolver=injector.get(_angular_core.ComponentFactoryResolver),componentFactory=componentFactoryResolver.resolveComponentFactory(info.component);if(!componentFactory)throw new Error("Expecting ComponentFactory for: "+getComponentName(info.component));var injectorPromise=new ParentInjectorPromise$1(element),facade=new DowngradeComponentAdapter(element,attrs,scope,ngModel,injector,$injector,$compile,$parse,componentFactory,wrapCallback),projectableNodes=facade.compileContents();facade.createComponent(projectableNodes),facade.setupInputs(needsNgZone,info.propagateDigest),facade.setupOutputs(),facade.registerCleanup(),injectorPromise.resolve(facade.getInjector()),ranAsync&&scope.$evalAsync(function(){})},downgradeFn=needsNgZone?function(injector){ngZone||(ngZone=injector.get(_angular_core.NgZone),wrapCallback=function(cb){return function(){return _angular_core.NgZone.isInAngularZone()?cb():ngZone.run(cb)}}),wrapCallback(function(){return doDowngrade(injector)})()}:doDowngrade;isThenable(parentInjector)?parentInjector.then(downgradeFn):downgradeFn(parentInjector),ranAsync=!0}}};return directiveFactory.$inject=[$COMPILE,$INJECTOR,$PARSE],directiveFactory}function isThenable(obj){return isFunction(obj.then)}/**
 * @license
 * Copyright Google Inc. All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://angular.io/license
 */
function downgradeInjectable(token){var factory=function(i){return i.get(token)};return factory.$inject=[INJECTOR_KEY],factory}function getOrCall(property){return isFunction(property)?property():property}function isMap(value){return value&&!Array.isArray(value)&&"object"==typeof value}function notSupported(name,feature){throw new Error("Upgraded directive '"+name+"' contains unsupported feature: '"+feature+"'.")}/**
 * @license Angular v5.2.10
 * (c) 2010-2018 Google, Inc. https://angular.io/
 * License: MIT
 */
/**
 * @license
 * Copyright Google Inc. All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at https://angular.io/license
 */
var VERSION=new _angular_core.Version("5.2.10"),angular={bootstrap:noNg,module:noNg,element:noNg,version:void 0,resumeBootstrap:noNg,getTestability:noNg};try{window.hasOwnProperty("angular")&&(angular=window.angular)}catch(e){}var _matches,bootstrap=function(e,modules,config){return angular.bootstrap(e,modules,config)},module$1=function(prefix,dependencies){return angular.module(prefix,dependencies)},element=function(e){return angular.element(e)},$COMPILE="$compile",$CONTROLLER="$controller",$INJECTOR="$injector",$PARSE="$parse",$SCOPE="$scope",INJECTOR_KEY="$$angularInjector",LAZY_MODULE_REF="$$angularLazyModuleRef",REQUIRE_INJECTOR="?^^"+INJECTOR_KEY,REQUIRE_NG_MODEL="?ngModel",PropertyBinding=function(){function PropertyBinding(prop,attr){this.prop=prop,this.attr=attr,this.parseBinding()}return PropertyBinding.prototype.parseBinding=function(){this.bracketAttr="["+this.attr+"]",this.parenAttr="("+this.attr+")",this.bracketParenAttr="[("+this.attr+")]";var capitalAttr=this.attr.charAt(0).toUpperCase()+this.attr.substr(1);this.onAttr="on"+capitalAttr,this.bindAttr="bind"+capitalAttr,this.bindonAttr="bindon"+capitalAttr},PropertyBinding}(),DIRECTIVE_PREFIX_REGEXP=/^(?:x|data)[:\-_]/i,DIRECTIVE_SPECIAL_CHARS_REGEXP=/[:\-_]+(.)/g,Deferred=function(){function Deferred(){var _this=this;this.promise=new Promise(function(res,rej){_this.resolve=res,_this.reject=rej})}return Deferred}(),INITIAL_VALUE={__UNINITIALIZED__:!0},DowngradeComponentAdapter=function(){function DowngradeComponentAdapter(element,attrs,scope,ngModel,parentInjector,$injector,$compile,$parse,componentFactory,wrapCallback){this.element=element,this.attrs=attrs,this.scope=scope,this.ngModel=ngModel,this.parentInjector=parentInjector,this.$injector=$injector,this.$compile=$compile,this.$parse=$parse,this.componentFactory=componentFactory,this.wrapCallback=wrapCallback,this.implementsOnChanges=!1,this.inputChangeCount=0,this.inputChanges={},this.componentScope=scope.$new()}return DowngradeComponentAdapter.prototype.compileContents=function(){var _this=this,compiledProjectableNodes=[],projectableNodes=this.groupProjectableNodes(),linkFns=projectableNodes.map(function(nodes){return _this.$compile(nodes)});return this.element.empty(),linkFns.forEach(function(linkFn){linkFn(_this.scope,function(clone){compiledProjectableNodes.push(clone),_this.element.append(clone)})}),compiledProjectableNodes},DowngradeComponentAdapter.prototype.createComponent=function(projectableNodes){var providers=[{provide:$SCOPE,useValue:this.componentScope}],childInjector=_angular_core.Injector.create({providers:providers,parent:this.parentInjector,name:"DowngradeComponentAdapter"});this.componentRef=this.componentFactory.create(childInjector,projectableNodes,this.element[0]),this.viewChangeDetector=this.componentRef.injector.get(_angular_core.ChangeDetectorRef),this.changeDetector=this.componentRef.changeDetectorRef,this.component=this.componentRef.instance;var testability=this.componentRef.injector.get(_angular_core.Testability,null);testability&&this.componentRef.injector.get(_angular_core.TestabilityRegistry).registerApplication(this.componentRef.location.nativeElement,testability),hookupNgModel(this.ngModel,this.component)},DowngradeComponentAdapter.prototype.setupInputs=function(needsNgZone,propagateDigest){var _this=this;void 0===propagateDigest&&(propagateDigest=!0);for(var attrs=this.attrs,inputs=this.componentFactory.inputs||[],this_1=this,i=0;i<inputs.length;i++)!function(i){var input=new PropertyBinding(inputs[i].propName,inputs[i].templateName),expr=null;if(attrs.hasOwnProperty(input.attr)){var observeFn_1=function(prop){var prevValue=INITIAL_VALUE;return function(currValue){strictEquals(prevValue,currValue)||(prevValue===INITIAL_VALUE&&(prevValue=currValue),_this.updateInput(prop,prevValue,currValue),prevValue=currValue)}}(input.prop);attrs.$observe(input.attr,observeFn_1);var unwatch_1=this_1.componentScope.$watch(function(){unwatch_1(),unwatch_1=null,observeFn_1(attrs[input.attr])})}else attrs.hasOwnProperty(input.bindAttr)?expr=attrs[input.bindAttr]:attrs.hasOwnProperty(input.bracketAttr)?expr=attrs[input.bracketAttr]:attrs.hasOwnProperty(input.bindonAttr)?expr=attrs[input.bindonAttr]:attrs.hasOwnProperty(input.bracketParenAttr)&&(expr=attrs[input.bracketParenAttr]);if(null!=expr){var watchFn=function(prop){return function(currValue,prevValue){return _this.updateInput(prop,prevValue,currValue)}}(input.prop);this_1.componentScope.$watch(expr,watchFn)}}(i);var detectChanges=function(){return _this.changeDetector.detectChanges()},prototype=this.componentFactory.componentType.prototype;if(this.implementsOnChanges=!(!prototype||!prototype.ngOnChanges),this.componentScope.$watch(function(){return _this.inputChangeCount},this.wrapCallback(function(){if(_this.implementsOnChanges){var inputChanges=_this.inputChanges;_this.inputChanges={},_this.component.ngOnChanges(inputChanges)}_this.viewChangeDetector.markForCheck(),propagateDigest||detectChanges()})),propagateDigest&&this.componentScope.$watch(this.wrapCallback(detectChanges)),needsNgZone||!propagateDigest)var unwatch_2=this.componentScope.$watch(function(){unwatch_2(),unwatch_2=null,_this.parentInjector.get(_angular_core.ApplicationRef).attachView(_this.componentRef.hostView)})},DowngradeComponentAdapter.prototype.setupOutputs=function(){for(var attrs=this.attrs,outputs=this.componentFactory.outputs||[],j=0;j<outputs.length;j++){var output=new PropertyBinding(outputs[j].propName,outputs[j].templateName),bindonAttr=output.bindonAttr.substring(0,output.bindonAttr.length-6),bracketParenAttr="[("+output.bracketParenAttr.substring(2,output.bracketParenAttr.length-8)+")]";attrs.hasOwnProperty(bindonAttr)&&this.subscribeToOutput(output,attrs[bindonAttr],!0),attrs.hasOwnProperty(bracketParenAttr)&&this.subscribeToOutput(output,attrs[bracketParenAttr],!0),attrs.hasOwnProperty(output.onAttr)&&this.subscribeToOutput(output,attrs[output.onAttr]),attrs.hasOwnProperty(output.parenAttr)&&this.subscribeToOutput(output,attrs[output.parenAttr])}},DowngradeComponentAdapter.prototype.subscribeToOutput=function(output,expr,isAssignment){var _this=this;void 0===isAssignment&&(isAssignment=!1);var getter=this.$parse(expr),setter=getter.assign;if(isAssignment&&!setter)throw new Error("Expression '"+expr+"' is not assignable!");var emitter=this.component[output.prop];if(!emitter)throw new Error("Missing emitter '"+output.prop+"' on component '"+getComponentName(this.componentFactory.componentType)+"'!");emitter.subscribe({next:isAssignment?function(v){return setter(_this.scope,v)}:function(v){return getter(_this.scope,{$event:v})}})},DowngradeComponentAdapter.prototype.registerCleanup=function(){var _this=this,destroyComponentRef=this.wrapCallback(function(){return _this.componentRef.destroy()}),destroyed=!1;this.element.on("$destroy",function(){return _this.componentScope.$destroy()}),this.componentScope.$on("$destroy",function(){destroyed||(destroyed=!0,_this.componentRef.injector.get(_angular_core.TestabilityRegistry).unregisterApplication(_this.componentRef.location.nativeElement),destroyComponentRef())})},DowngradeComponentAdapter.prototype.getInjector=function(){return this.componentRef.injector},DowngradeComponentAdapter.prototype.updateInput=function(prop,prevValue,currValue){this.implementsOnChanges&&(this.inputChanges[prop]=new _angular_core.SimpleChange(prevValue,currValue,prevValue===currValue)),this.inputChangeCount++,this.component[prop]=currValue},DowngradeComponentAdapter.prototype.groupProjectableNodes=function(){return groupNodesBySelector(this.componentFactory.ngContentSelectors,this.element.contents())},DowngradeComponentAdapter}(),ParentInjectorPromise$1=function(){function ParentInjectorPromise(element){this.element=element,this.injectorKey=controllerKey(INJECTOR_KEY),this.callbacks=[],element.data(this.injectorKey,this)}return ParentInjectorPromise.prototype.then=function(callback){this.injector?callback(this.injector):this.callbacks.push(callback)},ParentInjectorPromise.prototype.resolve=function(injector){this.injector=injector,this.element.data(this.injectorKey,injector),this.element=null,this.callbacks.forEach(function(callback){return callback(injector)}),this.callbacks.length=0},ParentInjectorPromise}(),REQUIRE_PREFIX_RE=/^(\^\^?)?(\?)?(\^\^?)?/,UpgradeHelper=function(){function UpgradeHelper(injector,name,elementRef,directive){this.injector=injector,this.name=name,this.$injector=injector.get($INJECTOR),this.$compile=this.$injector.get($COMPILE),this.$controller=this.$injector.get($CONTROLLER),this.element=elementRef.nativeElement,this.$element=element(this.element),this.directive=directive||UpgradeHelper.getDirective(this.$injector,name)}return UpgradeHelper.getDirective=function($injector,name){var directives=$injector.get(name+"Directive");if(directives.length>1)throw new Error("Only support single directive definition for: "+name);var directive=directives[0];return directive.compile&&!directive.link&&notSupported(name,"compile"),directive.replace&&notSupported(name,"replace"),directive.terminal&&notSupported(name,"terminal"),directive},UpgradeHelper.getTemplate=function($injector,directive,fetchRemoteTemplate){if(void 0===fetchRemoteTemplate&&(fetchRemoteTemplate=!1),void 0!==directive.template)return getOrCall(directive.template);if(directive.templateUrl){var $templateCache_1=$injector.get("$templateCache"),url_1=getOrCall(directive.templateUrl),template=$templateCache_1.get(url_1);if(void 0!==template)return template;if(!fetchRemoteTemplate)throw new Error("loading directive templates asynchronously is not supported");return new Promise(function(resolve,reject){$injector.get("$httpBackend")("GET",url_1,null,function(status,response){200===status?resolve($templateCache_1.put(url_1,response)):reject("GET component template from '"+url_1+"' returned '"+status+": "+response+"'")})})}throw new Error("Directive '"+directive.name+"' is not a component, it is missing template.")},UpgradeHelper.prototype.buildController=function(controllerType,$scope){var locals={$scope:$scope,$element:this.$element},controller=this.$controller(controllerType,locals,null,this.directive.controllerAs);return this.$element.data(controllerKey(this.directive.name),controller),controller},UpgradeHelper.prototype.compileTemplate=function(template){return void 0===template&&(template=UpgradeHelper.getTemplate(this.$injector,this.directive)),this.compileHtml(template)},UpgradeHelper.prototype.prepareTransclusion=function(){var _this=this,transclude=this.directive.transclude,contentChildNodes=this.extractChildNodes(),attachChildrenFn=function(scope,cloneAttachFn){return scope=scope||{$destroy:function(){}},cloneAttachFn($template,scope)},$template=contentChildNodes;if(transclude){var slots_1=Object.create(null);if("object"==typeof transclude){$template=[];var slotMap_1=Object.create(null),filledSlots_1=Object.create(null);Object.keys(transclude).forEach(function(slotName){var selector=transclude[slotName],optional="?"===selector.charAt(0);selector=optional?selector.substring(1):selector,slotMap_1[selector]=slotName,slots_1[slotName]=null,filledSlots_1[slotName]=optional}),contentChildNodes.forEach(function(node){var slotName=slotMap_1[directiveNormalize(node.nodeName.toLowerCase())];slotName?(filledSlots_1[slotName]=!0,slots_1[slotName]=slots_1[slotName]||[],slots_1[slotName].push(node)):$template.push(node)}),Object.keys(filledSlots_1).forEach(function(slotName){if(!filledSlots_1[slotName])throw new Error("Required transclusion slot '"+slotName+"' on directive: "+_this.name)}),Object.keys(slots_1).filter(function(slotName){return slots_1[slotName]}).forEach(function(slotName){var nodes=slots_1[slotName];slots_1[slotName]=function(scope,cloneAttach){return cloneAttach(nodes,scope)}})}attachChildrenFn.$$slots=slots_1,$template.forEach(function(node){node.nodeType!==Node.TEXT_NODE||node.nodeValue||(node.nodeValue="‌")})}return attachChildrenFn},UpgradeHelper.prototype.resolveAndBindRequiredControllers=function(controllerInstance){var directiveRequire=this.getDirectiveRequire(),requiredControllers=this.resolveRequire(directiveRequire);if(controllerInstance&&this.directive.bindToController&&isMap(directiveRequire)){var requiredControllersMap_1=requiredControllers;Object.keys(requiredControllersMap_1).forEach(function(key){controllerInstance[key]=requiredControllersMap_1[key]})}return requiredControllers},UpgradeHelper.prototype.compileHtml=function(html){return this.element.innerHTML=html,this.$compile(this.element.childNodes)},UpgradeHelper.prototype.extractChildNodes=function(){for(var childNode,childNodes=[];childNode=this.element.firstChild;)this.element.removeChild(childNode),childNodes.push(childNode);return childNodes},UpgradeHelper.prototype.getDirectiveRequire=function(){var require=this.directive.require||this.directive.controller&&this.directive.name;return isMap(require)&&Object.keys(require).forEach(function(key){var value=require[key],match=value.match(REQUIRE_PREFIX_RE);value.substring(match[0].length)||(require[key]=match[0]+key)}),require},UpgradeHelper.prototype.resolveRequire=function(require,controllerInstance){var _this=this;if(require){if(Array.isArray(require))return require.map(function(req){return _this.resolveRequire(req)});if("object"==typeof require){var value_1={};return Object.keys(require).forEach(function(key){return value_1[key]=_this.resolveRequire(require[key])}),value_1}if("string"==typeof require){var match=require.match(REQUIRE_PREFIX_RE),inheritType=match[1]||match[3],name_1=require.substring(match[0].length),isOptional=!!match[2],searchParents=!!inheritType,startOnParent="^^"===inheritType,ctrlKey=controllerKey(name_1),elem=startOnParent?this.$element.parent():this.$element,value=searchParents?elem.inheritedData(ctrlKey):elem.data(ctrlKey);if(!value&&!isOptional)throw new Error("Unable to find required '"+require+"' in upgraded directive '"+this.name+"'.");return value}throw new Error("Unrecognized 'require' syntax on upgraded directive '"+this.name+"': "+require)}return null},UpgradeHelper}(),CAMEL_CASE=/([A-Z])/g,INITIAL_VALUE$1={__UNINITIALIZED__:!0},UpgradeNg1ComponentAdapterBuilder=function(){function UpgradeNg1ComponentAdapterBuilder(name){this.name=name,this.inputs=[],this.inputsRename=[],this.outputs=[],this.outputsRename=[],this.propertyOutputs=[],this.checkProperties=[],this.propertyMap={},this.directive=null;var selector=name.replace(CAMEL_CASE,function(all,next){return"-"+next.toLowerCase()}),self=this,directive={selector:selector,inputs:this.inputsRename,outputs:this.outputsRename},MyClass=function(){function MyClass(scope,injector,elementRef){var helper=new UpgradeHelper(injector,name,elementRef,this.directive);return new UpgradeNg1ComponentAdapter(helper,scope,self.template,self.inputs,self.outputs,self.propertyOutputs,self.checkProperties,self.propertyMap)}return MyClass.prototype.ngOnInit=function(){},MyClass.prototype.ngOnChanges=function(){},MyClass.prototype.ngDoCheck=function(){},MyClass.prototype.ngOnDestroy=function(){},MyClass.decorators=[{type:_angular_core.Directive,args:[directive]}],MyClass.ctorParameters=function(){return[{type:void 0,decorators:[{type:_angular_core.Inject,args:[$SCOPE]}]},{type:_angular_core.Injector},{type:_angular_core.ElementRef}]},MyClass}();this.type=MyClass}return UpgradeNg1ComponentAdapterBuilder.prototype.extractBindings=function(){var _this=this,btcIsObject="object"==typeof this.directive.bindToController;if(btcIsObject&&Object.keys(this.directive.scope).length)throw new Error("Binding definitions on scope and controller at the same time are not supported.");var context=btcIsObject?this.directive.bindToController:this.directive.scope;"object"==typeof context&&Object.keys(context).forEach(function(propName){var definition=context[propName],bindingType=definition.charAt(0),bindingOptions=definition.charAt(1),attrName=definition.substring("?"===bindingOptions?2:1)||propName,inputName="input_"+attrName,inputNameRename=inputName+": "+attrName,outputName="output_"+attrName,outputNameRename=outputName+": "+attrName,outputNameRenameChange=outputNameRename+"Change";switch(bindingType){case"@":case"<":_this.inputs.push(inputName),_this.inputsRename.push(inputNameRename),_this.propertyMap[inputName]=propName;break;case"=":_this.inputs.push(inputName),_this.inputsRename.push(inputNameRename),_this.propertyMap[inputName]=propName,_this.outputs.push(outputName),_this.outputsRename.push(outputNameRenameChange),_this.propertyMap[outputName]=propName,_this.checkProperties.push(propName),_this.propertyOutputs.push(outputName);break;case"&":_this.outputs.push(outputName),_this.outputsRename.push(outputNameRename),_this.propertyMap[outputName]=propName;break;default:var json=JSON.stringify(context);throw new Error("Unexpected mapping '"+bindingType+"' in '"+json+"' in '"+_this.name+"' directive.")}})},UpgradeNg1ComponentAdapterBuilder.resolve=function(exportedComponents,$injector){var promises=Object.keys(exportedComponents).map(function(name){var exportedComponent=exportedComponents[name];return exportedComponent.directive=UpgradeHelper.getDirective($injector,name),exportedComponent.extractBindings(),Promise.resolve(UpgradeHelper.getTemplate($injector,exportedComponent.directive,!0)).then(function(template){return exportedComponent.template=template})});return Promise.all(promises)},UpgradeNg1ComponentAdapterBuilder}(),UpgradeNg1ComponentAdapter=function(){function UpgradeNg1ComponentAdapter(helper,scope,template,inputs,outputs,propOuts,checkProperties,propertyMap){this.helper=helper,this.template=template,this.inputs=inputs,this.outputs=outputs,this.propOuts=propOuts,this.checkProperties=checkProperties,this.propertyMap=propertyMap,this.controllerInstance=null,this.destinationObj=null,this.checkLastValues=[],this.$element=null,this.directive=helper.directive,this.element=helper.element,this.$element=helper.$element,this.componentScope=scope.$new(!!this.directive.scope);var controllerType=this.directive.controller;this.directive.bindToController&&controllerType?(this.controllerInstance=this.helper.buildController(controllerType,this.componentScope),this.destinationObj=this.controllerInstance):this.destinationObj=this.componentScope;for(var i=0;i<inputs.length;i++)this[inputs[i]]=null;for(var j=0;j<outputs.length;j++){var emitter=this[outputs[j]]=new _angular_core.EventEmitter;-1===this.propOuts.indexOf(outputs[j])&&this.setComponentProperty(outputs[j],function(emitter){return function(value){return emitter.emit(value)}}(emitter))}for(var k=0;k<propOuts.length;k++)this.checkLastValues.push(INITIAL_VALUE$1)}return UpgradeNg1ComponentAdapter.prototype.ngOnInit=function(){var attachChildNodes=this.helper.prepareTransclusion(),linkFn=this.helper.compileTemplate(this.template),controllerType=this.directive.controller,bindToController=this.directive.bindToController;controllerType&&!bindToController&&(this.controllerInstance=this.helper.buildController(controllerType,this.componentScope));var requiredControllers=this.helper.resolveAndBindRequiredControllers(this.controllerInstance);this.controllerInstance&&isFunction(this.controllerInstance.$onInit)&&this.controllerInstance.$onInit();var link=this.directive.link,preLink="object"==typeof link&&link.pre,postLink="object"==typeof link?link.post:link;preLink&&preLink(this.componentScope,this.$element,"NOT_SUPPORTED",requiredControllers,"NOT_SUPPORTED"),linkFn(this.componentScope,null,{parentBoundTranscludeFn:attachChildNodes}),postLink&&postLink(this.componentScope,this.$element,"NOT_SUPPORTED",requiredControllers,"NOT_SUPPORTED"),this.controllerInstance&&isFunction(this.controllerInstance.$postLink)&&this.controllerInstance.$postLink()},UpgradeNg1ComponentAdapter.prototype.ngOnChanges=function(changes){var _this=this,ng1Changes={};Object.keys(changes).forEach(function(name){var change=changes[name];_this.setComponentProperty(name,change.currentValue),ng1Changes[_this.propertyMap[name]]=change}),isFunction(this.destinationObj.$onChanges)&&this.destinationObj.$onChanges(ng1Changes)},UpgradeNg1ComponentAdapter.prototype.ngDoCheck=function(){var _this=this,destinationObj=this.destinationObj,lastValues=this.checkLastValues,checkProperties=this.checkProperties,propOuts=this.propOuts;checkProperties.forEach(function(propName,i){var value=destinationObj[propName];strictEquals(lastValues[i],value)||_this[propOuts[i]].emit(lastValues[i]=value)}),this.controllerInstance&&isFunction(this.controllerInstance.$doCheck)&&this.controllerInstance.$doCheck()},UpgradeNg1ComponentAdapter.prototype.ngOnDestroy=function(){this.controllerInstance&&isFunction(this.controllerInstance.$onDestroy)&&this.controllerInstance.$onDestroy(),this.componentScope.$destroy()},UpgradeNg1ComponentAdapter.prototype.setComponentProperty=function(name,value){this.destinationObj[this.propertyMap[name]]=value},UpgradeNg1ComponentAdapter}(),upgradeCount=0,UpgradeAdapter=function(){function UpgradeAdapter(ng2AppModule,compilerOptions){if(this.ng2AppModule=ng2AppModule,this.compilerOptions=compilerOptions,this.idPrefix="NG2_UPGRADE_"+upgradeCount+++"_",this.downgradedComponents=[],this.ng1ComponentsToBeUpgraded={},this.upgradedProviders=[],this.moduleRef=null,!ng2AppModule)throw new Error("UpgradeAdapter cannot be instantiated without an NgModule of the Angular app.")}return UpgradeAdapter.prototype.downgradeNg2Component=function(component){return this.downgradedComponents.push(component),downgradeComponent({component:component})},UpgradeAdapter.prototype.upgradeNg1Component=function(name){return this.ng1ComponentsToBeUpgraded.hasOwnProperty(name)?this.ng1ComponentsToBeUpgraded[name].type:(this.ng1ComponentsToBeUpgraded[name]=new UpgradeNg1ComponentAdapterBuilder(name)).type},UpgradeAdapter.prototype.registerForNg1Tests=function(modules){var _this=this,windowNgMock=window.angular.mock;if(!windowNgMock||!windowNgMock.module)throw new Error("Failed to find 'angular.mock.module'.");this.declareNg1Module(modules),windowNgMock.module(this.ng1Module.name);var upgrade=new UpgradeAdapterRef;return this.ng2BootstrapDeferred.promise.then(function(ng1Injector){upgrade._bootstrapDone(_this.moduleRef,ng1Injector)},onError),upgrade},UpgradeAdapter.prototype.bootstrap=function(element$$1,modules,config){var _this=this;this.declareNg1Module(modules);var upgrade=new UpgradeAdapterRef,windowAngular=window.angular;windowAngular.resumeBootstrap=void 0,this.ngZone.run(function(){bootstrap(element$$1,[_this.ng1Module.name],config)});var ng1BootstrapPromise=new Promise(function(resolve){if(windowAngular.resumeBootstrap){var originalResumeBootstrap_1=windowAngular.resumeBootstrap;windowAngular.resumeBootstrap=function(){windowAngular.resumeBootstrap=originalResumeBootstrap_1;var r=windowAngular.resumeBootstrap.apply(this,arguments);return resolve(),r}}else resolve()});return Promise.all([this.ng2BootstrapDeferred.promise,ng1BootstrapPromise]).then(function(_a){var ng1Injector=_a[0];element(element$$1).data(controllerKey(INJECTOR_KEY),_this.moduleRef.injector),_this.moduleRef.injector.get(_angular_core.NgZone).run(function(){upgrade._bootstrapDone(_this.moduleRef,ng1Injector)})},onError),upgrade},UpgradeAdapter.prototype.upgradeNg1Provider=function(name,options){var token=options&&options.asToken||name;this.upgradedProviders.push({provide:token,useFactory:function($injector){return $injector.get(name)},deps:[$INJECTOR]})},UpgradeAdapter.prototype.downgradeNg2Provider=function(token){return downgradeInjectable(token)},UpgradeAdapter.prototype.declareNg1Module=function(modules){var _this=this;void 0===modules&&(modules=[]);var original$applyFn,rootScopePrototype,rootScope,delayApplyExps=[],upgradeAdapter=this,ng1Module=this.ng1Module=module$1(this.idPrefix,modules),platformRef=_angular_platformBrowserDynamic.platformBrowserDynamic();return this.ngZone=new _angular_core.NgZone({enableLongStackTrace:Zone.hasOwnProperty("longStackTraceZoneSpec")}),this.ng2BootstrapDeferred=new Deferred,ng1Module.factory(INJECTOR_KEY,function(){return _this.moduleRef.injector.get(_angular_core.Injector)}).factory(LAZY_MODULE_REF,[INJECTOR_KEY,function(injector){return{injector:injector,needsNgZone:!1}}]).constant("$$angularNgZone",this.ngZone).factory("$$angularCompiler",function(){return _this.moduleRef.injector.get(_angular_core.Compiler)}).config(["$provide","$injector",function(provide,ng1Injector){provide.decorator("$rootScope",["$delegate",function(rootScopeDelegate){if(rootScopePrototype=rootScopeDelegate.constructor.prototype,!rootScopePrototype.hasOwnProperty("$apply"))throw new Error("Failed to find '$apply' on '$rootScope'!");return original$applyFn=rootScopePrototype.$apply,rootScopePrototype.$apply=function(exp){return delayApplyExps.push(exp)},rootScope=rootScopeDelegate}]),ng1Injector.has("$$testability")&&provide.decorator("$$testability",["$delegate",function(testabilityDelegate){var originalWhenStable=testabilityDelegate.whenStable,newWhenStable=function(callback){originalWhenStable.call(this,function(){var ng2Testability=upgradeAdapter.moduleRef.injector.get(_angular_core.Testability);ng2Testability.isStable()?callback.apply(this,arguments):ng2Testability.whenStable(newWhenStable.bind(this,callback))})};return testabilityDelegate.whenStable=newWhenStable,testabilityDelegate}])}]),ng1Module.run(["$injector","$rootScope",function(ng1Injector,rootScope){UpgradeNg1ComponentAdapterBuilder.resolve(_this.ng1ComponentsToBeUpgraded,ng1Injector).then(function(){var ngModule={providers:[{provide:$INJECTOR,useFactory:function(){return ng1Injector}},{provide:$COMPILE,useFactory:function(){return ng1Injector.get($COMPILE)}},_this.upgradedProviders],imports:[_this.ng2AppModule],entryComponents:_this.downgradedComponents},DynamicNgUpgradeModule=function(){function DynamicNgUpgradeModule(){}return DynamicNgUpgradeModule.prototype.ngDoBootstrap=function(){},DynamicNgUpgradeModule.decorators=[{type:_angular_core.NgModule,args:[ngModule]}],DynamicNgUpgradeModule.ctorParameters=function(){return[]},DynamicNgUpgradeModule}();platformRef.bootstrapModule(DynamicNgUpgradeModule,[_this.compilerOptions,{ngZone:_this.ngZone}]).then(function(ref){_this.moduleRef=ref,_this.ngZone.run(function(){if(rootScopePrototype){for(rootScopePrototype.$apply=original$applyFn;delayApplyExps.length;)rootScope.$apply(delayApplyExps.shift());rootScopePrototype=null}})}).then(function(){return _this.ng2BootstrapDeferred.resolve(ng1Injector)},onError).then(function(){var subscription=_this.ngZone.onMicrotaskEmpty.subscribe({next:function(){return rootScope.$digest()}});rootScope.$on("$destroy",function(){subscription.unsubscribe()})})}).catch(function(e){return _this.ng2BootstrapDeferred.reject(e)})}]),ng1Module},UpgradeAdapter}(),UpgradeAdapterRef=function(){function UpgradeAdapterRef(){this._readyFn=null,this.ng1RootScope=null,this.ng1Injector=null,this.ng2ModuleRef=null,this.ng2Injector=null}return UpgradeAdapterRef.prototype._bootstrapDone=function(ngModuleRef,ng1Injector){this.ng2ModuleRef=ngModuleRef,this.ng2Injector=ngModuleRef.injector,this.ng1Injector=ng1Injector,this.ng1RootScope=ng1Injector.get("$rootScope"),this._readyFn&&this._readyFn(this)},UpgradeAdapterRef.prototype.ready=function(fn){this._readyFn=fn},UpgradeAdapterRef.prototype.dispose=function(){this.ng1Injector.get("$rootScope").$destroy(),this.ng2ModuleRef.destroy()},UpgradeAdapterRef}();exports.VERSION=VERSION,exports.UpgradeAdapter=UpgradeAdapter,exports.UpgradeAdapterRef=UpgradeAdapterRef,Object.defineProperty(exports,"__esModule",{value:!0})});
//# sourceMappingURL=upgrade.umd.min.js.map